Bug 255576 - New port: net/td-system-tools -- Print basic system information and banners
Summary: New port: net/td-system-tools -- Print basic system information and banners
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nuno Teixeira
URL: https://www.uni-due.de/~be0001/system...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-03 18:43 UTC by Thomas Dreibholz
Modified: 2021-05-05 11:39 UTC (History)
1 user (show)

See Also:


Attachments
The shar file (2.50 KB, text/plain)
2021-05-03 18:43 UTC, Thomas Dreibholz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dreibholz 2021-05-03 18:43:58 UTC
Created attachment 224639 [details]
The shar file

The package td-system-tools has been missing in the FreeBSD ports. Therefore, I have created a port.

This package contains programs for printing basic system information and for system maintenance. System-Info displays basic status information about the system: hostname, uptime, CPU, memory statistics, disk space statistics, SSH public key hashes, and networking information. Furthermore, it can be configured to show one or more banners (for example,  a project name). System-Info can be configured to be automatically run when logging in, providing the user an up-to-date overview of the system. System-Maintenance runs basic system maintenance tasks: trying to repair broken package management, updating the package management databases, installing all available updates, checking for old kernels and removing them, trim SSD or unmap unused storage. 

Homepage of td-system-tools: https://www.uni-due.de/~be0001/system-tools/

Fix: The shar file td-system-tools-1.2.0.shar is attached.
Comment 1 Nuno Teixeira freebsd_committer 2021-05-04 07:24:25 UTC
(In reply to Thomas Dreibholz from comment #0)
Hello Thomas!

You can follow progress in my review:

https://reviews.freebsd.org/D30098

Thanks!
Comment 2 Nuno Teixeira freebsd_committer 2021-05-05 11:39:03 UTC
The branch main has been updated by eduardo:

URL: https://cgit.FreeBSD.org/ports/commit/?id=aa4b948a4318853e8d74708fc1eec773bce06031

commit aa4b948a4318853e8d74708fc1eec773bce06031
Author:     Nuno Teixeira <eduardo@FreeBSD.org>
AuthorDate: 2021-05-05 11:33:01 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-05-05 11:33:01 +0000

    net/td-system-info: New port

    Printing basic system information and system maintenance

    - Submitter becomes Maintainer

    PR:             https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255576
    Reported by:    Thomas Dreibholz <dreibh@iem.uni-due.de>
    Approved by:    garga (mentor)
    Differential Revision:  https://reviews.freebsd.org/D30098
Comment 3 Nuno Teixeira freebsd_committer 2021-05-05 11:39:21 UTC
Commited thanks!